Ticket #34160

電子署名の対象ファイルを増やす

Open Date: 2014-08-09 12:01 Last Update: 2014-11-20 19:03

Reporter: nishimoto Owner: (None)
Type: Feature Requests Status: Closed
Component: (None) MileStone: 2014.4jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

日本のメーリングリストで nvdaHelperRemoteLoader を誤検知するウイルス対策ソフトの存在が報告されていますが、 本家でも同様の指摘があったらしく、 nvdaHelperRemote.dll を電子署名することが検討されているようです。

本家チケット 4374 Sign nvdaHelperRemote.dll

http://community.nvda-project.org/ticket/4374

日本語公開ベータを出す前に、本家版のスナップショットの対応を確認したいと思います。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2014-08-09 12:01 Updated by: nishimoto
  • New Ticket "nvdaHelperRemote.dll の電子署名" created
2014-08-11 19:24 Updated by: nishimoto
Comment

日本語ベータ版を作り始めた時点で本家版のDLL電子署名を確認できなかったので、 もうすこし時間をかけて様子を見ます。

2014-08-12 10:44 Updated by: nishimoto
Comment

本家 next ブランチで DLL の電子署名をテスト中:

http://community.nvda-project.org/ticket/4374#comment:2

2014-09-07 05:55 Updated by: nishimoto
Comment

電子署名の対象ファイルを増やす変更は、本家のマイルストーンが 2014.4 になったので、 日本語版では 2014.4jp に変更します。

概要:nvdaHelperRemote.dll の電子署名 から変更。

2014-10-19 21:00 Updated by: nishimoto
Comment

最近の本家 master を jpbeta ブランチにマージして、 電子署名つきでビルドしてみました。

いままでは電子署名がなかったはずの フォルダ lib および lib64 の中の DLL ファイルや exe ファイル 各10個(32ビットと64ビットそれぞれなので、合計20個)が、 すべて電子署名付きになっています。

日本語版のリリースにあたって、 電子署名をつけなくてはいけないファイルの数が大幅に増えるということを、 とりあえずお知らせしておこうと思います。

また、本家のビルドスクリプトをそのまま使うと、 JTalk 関連の DLL には電子署名がつかないので、 これらも対応が必要になりそうです。

2014-11-20 19:03 Updated by: nishimoto
  • Ticket Close date is changed to 2014-11-20 19:03
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

2014.4jp から1年間の予定で、新しい電子署名スポンサーのご協力を得て、本タスクに対応することになりました。

ビルド手順の変更について jptools/00memo.txt にまとめました。

https://sourceforge.jp/projects/nvdajp/scm/git/nvdajp/blobs/jp2014.4/jptools/00memo.txt

証明書とパスワードを記載したファイルをレポジトリの外部に置くようにバッチファイルを書いています。

日本語テスト版が問題ないようなので、このチケットはクローズします。

Edit

Please login to add comment to this ticket » Login